﻿/* styles for validation helpers */
.field-validation-error {
    color: #b94a48;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}

/*input:-moz-read-only {
    background-color: #ffffff !important;
    background: #ffffff !important;
}

input:read-only {
    background-color: #ffffff !important;
    background: #ffffff !important;
}

textarea:-moz-read-only { 
    background-color: #ffffff !important;
    background: #ffffff !important;
}

textarea:read-only {
    background-color: #ffffff !important;
    background: #ffffff !important;
}*/

.raised {
    position: relative;
    width: 100%;
    padding: 2em;
    margin: 2em 10px 4em;
    background: #fff;
    -webkit-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;
    -moz-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;
    -webkit-box-shadow: 0 15px 10px -10px rgba(0, 0, 0, 0.5), 0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;
    -moz-box-shadow: 0 15px 10px -10px rgba(0, 0, 0, 0.5), 0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;
    box-shadow: 0 15px 10px -10px rgba(0, 0, 0, 0.5), 0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;
}

    .raised:before,
    .raised:after {
        content: "";
        position: absolute;
        z-index: -2;
    }


.hidden_div {
    display: none;
}

.CheckBoxList_CustID input[type="checkbox"] {
    margin-right: 5px;
}

.cust_selected {
    font-weight: bold;
    color: orange;
}

#CustIdSelector label {
    display: block;
    margin: -19px 0px 0px 20px;
}

hr {
    -moz-border-bottom-colors: none;
    -moz-border-image: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    border-color: #EEEEEE;
    border-style: solid none;
    border-width: 1px 0;
    margin: 18px 0;
}

.fake-link {
    color: blue;
    text-decoration: underline;
    cursor: pointer;
}

#MainContent_GridView_Result td {
    text-align: center;
    vertical-align: middle;
    padding-left: 2px;
    padding-right: 2px;
}


.error-cell {
    cursor: pointer !important;
    color: red !important;
}

.error-cell-second{
    cursor: pointer !important;
    color: blue !important;
}

.error-cell:after {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f071";
    display: inline-block;
    padding-left: 3px;
}


.modal-dialog-full {
  width: 99%;
  height: 99%;
  margin: 0;
  padding: 0;
  padding-left: 2em;
}

.modal-content-full {
  height: auto;
  width: auto;
  min-height: 100%;
  min-width: 100%;
  border-radius: 0;
}

.modal-body {
    /* 100% = dialog height, 120px = header + footer */
    max-height: calc(100% - 120px);
    overflow-y: hidden;
}

.borderless td, .borderless th {
    border: none !important;
}

.data-table th {
    font-size: 12px !important;
}